use organic::types::Document;
use serde::Deserialize;
use serde::Serialize;

use super::macros::to_wasm;

#[derive(Serialize, Deserialize)]
#[serde(tag = "ast_node")]
#[serde(rename = "org-data")]
pub(crate) struct WasmDocument {
    children: Vec<()>,
}

to_wasm!(WasmDocument, Document<'s>, original, document, {
    WasmDocument {
        children: Vec::new(),
    }
});
