use organic::types::PostBlank;
use serde::Deserialize;
use serde::Serialize;

use super::macros::to_wasm;

#[derive(Serialize, Deserialize)]
pub(crate) struct WasmStandardProperties {
    begin: Option<usize>,
    end: Option<usize>,
    contents_begin: Option<usize>,
    contents_end: Option<usize>,
    post_blank: Option<PostBlank>,
}

to_wasm!(WasmStandardProperties, Document<'s>, original, document, {
    // foo
    todo!()
});
